#include <iostream>
using namespace std;
int main ()

{
int A;
int B;
int C;

cin >> B;
cin >> C;

int Z = B + C;

if (B >= 0 && C >= 0){

if(B <= 500 && C<=500){

if (Z  >= 256 ){

A = 0;
cout<< A << endl;

}else{

if(B > C && B < 128 && C < 128){
A = 256 - B;
cout<<  A  << endl;
}

if(C > B && B < 128 && C < 128){
A = 256 - C;
cout<<  A  << endl;
}

if(B == C && B < 128 && C < 128){
A = 256 - B; // ovde mozemo uzeti ili B ili C jer su jednaki i manji od 128
cout<<  A  << endl;
}

if(B == C && B > 128 && C > 128){
A = 0;
cout<<  A  << endl;
}

if(B > C && B > 128 && C < 128){
A = 256 - B;
cout<<  A  << endl;
}

if(C > B && B < 128 && C > 128){
A = 256 - C;
cout<<  A  << endl;
}

if(B > C && B == 128 && C < 128){
A = 256 - B;
cout<<  A  << endl;
}

if(C > B && B < 128 && C == 128){
A = 256 - C;
cout<<  A  << endl;
}

}

}else{

cout<< " Jedan ili oba od unetih brojeva je veci od 500." << endl;
}

}else{

cout << " Jedan ili oba od unetih brojeva su negativni. " << endl;
}
return 0;
}